#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-libav-1.22.10

- Next

  id3lib-3.8.3

- Up
- Home

# gstreamer-vaapi-1.22.10

## Introduction to gstreamer-vaapi

The gstreamer-vaapi package contains a gstreamer plugin for hardware accelerated video decode/encode for the prevailing coding standards today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3).

### Note

On systems without hardware acceleration (notably virtual machines under qemu-8.2.1), this package may cause the X server to crash. The BLFS team recommends not to install this package in this case.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-1.22.10.tar.xz

- Download MD5 sum: 39b14be37914e0f214bbae5171d3fb6a

- Download size: 540 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.2 SBU

### gstreamer-vaapi Dependencies

#### Required

GTK+-3.24.41, gstreamer-1.22.10, gst-plugins-base-1.22.10, gst-plugins-bad-1.22.10, and libva-2.20.0

#### Optional

hotdoc

## Installation of gstreamer-vaapi

Install gstreamer-vaapi by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/12.1/ &&
    ninja

This package does not come with a working test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Library: libgstvaapi.so in /usr/lib/gstreamer-1.0
Installed Directory: None

- Prev

  gst-libav-1.22.10

- Next

  id3lib-3.8.3

- Up
- Home